RDKit: RDKit::SmilesWriteParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::SmilesWriteParams Struct Reference

`#include <SmilesWrite.h>`

## Public Attributes
bool | doIsomericSmiles
bool | doKekule = false
bool | canonical = true
bool | cleanStereo = true
bool | allBondsExplicit = false
bool | allHsExplicit = false
bool | doRandom = false
int | rootedAtAtom = -1
bool | includeDativeBonds
bool | ignoreAtomMapNumbers = false

## Detailed Description

Definition at line 30 of file SmilesWrite.h.

## Member Data Documentation

## ◆ allBondsExplicit

bool RDKit::SmilesWriteParams::allBondsExplicit = false

include symbols for all bonds

Definition at line 39 of file SmilesWrite.h.

Referenced by RDKit::SmilesWrite::GetBondSmiles(), RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmiles(), and RDKit::MolToSmiles().

## ◆ allHsExplicit

bool RDKit::SmilesWriteParams::allHsExplicit = false

provide hydrogen counts for every atom

Definition at line 40 of file SmilesWrite.h.

Referenced by RDKit::SmilesWrite::GetAtomSmiles(), RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmiles(), and RDKit::MolToSmiles().

## ◆ canonical

bool RDKit::SmilesWriteParams::canonical = true

generate canonical SMILES

Definition at line 37 of file SmilesWrite.h.

Referenced by RDKit::ChemicalReactionToCXRxnSmarts(), RDKit::ChemicalReactionToCXRxnSmiles(), RDKit::ChemicalReactionToRxnSmarts(), RDKit::ChemicalReactionToRxnSmiles(), RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmiles(), and RDKit::MolToSmiles().

## ◆ cleanStereo

bool RDKit::SmilesWriteParams::cleanStereo = true

clean up stereo

Definition at line 38 of file SmilesWrite.h.

## ◆ doIsomericSmiles

bool RDKit::SmilesWriteParams::doIsomericSmiles

Initial value:
=
true

include stereochemistry and isotope information

Definition at line 31 of file SmilesWrite.h.

Referenced by RDKit::SmilesWrite::GetAtomSmiles(), RDKit::SmartsWrite::GetBondSmarts(), RDKit::SmilesWrite::GetBondSmiles(), RDKit::MolFragmentToCXSmarts(), RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmarts(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmarts(), RDKit::MolToCXSmiles(), RDKit::MolToSmarts(), and RDKit::MolToSmiles().

## ◆ doKekule

bool RDKit::SmilesWriteParams::doKekule = false

kekulize the molecule before generating the SMILES and output single/double bonds. NOTE that the output is not canonical and that this will thrown an exception if the molecule cannot be kekulized.

Definition at line 33 of file SmilesWrite.h.

Referenced by RDKit::SmilesWrite::GetAtomSmiles(), RDKit::SmilesWrite::GetBondSmiles(), RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmiles(), and RDKit::MolToSmiles().

## ◆ doRandom

bool RDKit::SmilesWriteParams::doRandom = false

randomize the output order. The resulting SMILES is not canonical and the value of the canonical parameter will be ignored.

Definition at line 41 of file SmilesWrite.h.

Referenced by RDKit::MolToCXSmiles(), and RDKit::MolToSmiles().

## ◆ ignoreAtomMapNumbers

bool RDKit::SmilesWriteParams::ignoreAtomMapNumbers = false

If true, ignores any atom map numbers when canonicalizing the molecule

Definition at line 51 of file SmilesWrite.h.

Referenced by RDKit::MolToSmiles().

## ◆ includeDativeBonds

bool RDKit::SmilesWriteParams::includeDativeBonds

Initial value:
=
true

include the RDKit extension for dative bonds. Otherwise dative bonds will be written as single bonds

Definition at line 48 of file SmilesWrite.h.

## ◆ rootedAtAtom

int RDKit::SmilesWriteParams::rootedAtAtom = -1

make sure the SMILES starts at the specified atom. The resulting SMILES is not canonical and the value of the canonical parameter will be ignored.

Definition at line 44 of file SmilesWrite.h.

Referenced by RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmiles(), RDKit::MolToSmarts(), and RDKit::MolToSmiles().

The documentation for this struct was generated from the following file:

- SmilesWrite.h